// half-case for USB3.0-SATA + 25x15 DC-DC converter

base_h = 2.4;
dcdc_h = 1.4;
usb_h = 1.9;

// original parts
/*color([0, 0.8, 0]) {
    translate([-2-15, 2.5, 8]) cube(size=[15, 25, dcdc_h]);
    translate([0, 0, 5.5]) cube(size=[42, 30, 1.5]);
    translate([42-0.5-11, 30-14+2, 0]) cube(size=[11, 14, 10]);
    translate([13.5, 30, 2]) cube(size=[12, 2, 8]);
    translate([13.5+12/2, 40, 2+8/2]) rotate([90, 0, 0]) cylinder(r=7/2, $fn=32, h=8);
    translate([13.5+12/2, 30, 2+8/2]) rotate([90, 0, 0]) cylinder(r=5/2, $fn=32, h=3);
    translate([42-5, 40, 10/2]) rotate([90, 0, 0]) cylinder(r=8/2, $fn=32, h=8);
}*/

// case
difference()
{
    union()
    {
        union() {
            translate([-2*2-15, 0, 10]) cube(size=[42+2*3+15, 30+2*2, 1]);

            translate([-2*2-15, 0, 0]) cube(size=[2+0.5, 30+2*2, 10+1]);

            translate([42-1, 5, 0]) cube(size=[2+1, 11, 10+1]);
            translate([42, 0, 0]) cube(size=[2, 30+2, 10+1]);

            translate([-2-0.5, 10, 0]) cube(size=[2+1+0.5, 30+2-10, 10+1]);

            translate([11.5, 30-2, 10-3]) cube(size=[12+2*2, 6, 3]);
            translate([-2*2-15, 30+2, 0]) cube(size=[42+2*3+15, 2, 10]);

            translate([0, 30, 0]) cube(size=[13, 2, 10]);
            translate([14+12, 30, 0]) cube(size=[4, 2, 10]);
        }
    }
    // LED hole
    translate([42/2, 30/2, 10-1]) cylinder(r=1, h=1+2, $fn=32, center=false);
    // place for the orig parts
    translate([-2-15, -1, 8]) cube(size=[15, 30+2+1, dcdc_h]);
    translate([0, -1, 5.5-(usb_h-1.5)/2]) cube(size=[42, 30+1, usb_h]);
    translate([13.5-0.2, 30-0.2, 2]) cube(size=[12+0.4, 2+0.4, 8]);
    translate([13.5+12/2, 40-0.5, 2+8/2]) rotate([90, 0, 0]) cylinder(r=7/2, $fn=32, h=8);
    translate([13.5+12/2-7/2, 40-10, -0.5]) cube(size=[7, 7, 10-8/2+0.5]);
    translate([13.5+12/2, 30+0.5, 2+8/2]) rotate([90, 0, 0]) cylinder(r=5/2, $fn=32, h=4);
    translate([42-5, 40-0.5, 10/2]) rotate([90, 0, 0]) cylinder(r=8/2, $fn=32, h=8);
    translate([42-5-8/2, 40-10, -0.5]) cube(size=[8, 8, 10-10/2+0.5]);
}
